package org.nwoca.ssdt.tools.html2wiki;

import java.util.regex.*;

class ChapterTransformer implements Transformer {
    private Pattern chapterPattern = Pattern.compile("^<hr size=5>.*?<h1>(.*?)</h1>",Pattern.MULTILINE + Pattern.DOTALL);
    private String category;
    public ChapterTransformer() {
         
    }
    public ChapterTransformer(String category) {
        this.category = category;
    }
    
    public void apply(StringBuffer buffer) {
        Matcher matcher = chapterPattern.matcher(buffer);
        
        boolean first = true;
        while (matcher.find( 0 )) {
            buffer.replace(matcher.start(),matcher.end(),
                        "<chapter>" + matcher.group(1) +"</chapter>\n__TOC__" +
                        (category == null ? "" : "\n[[Category:" + category + "]]"));
            first = false;
        }
     
    }
        
    public String toString() {
        return "Replace Chapter markers";
    }

}